import { FC } from 'react';
interface BitzPaginationProps {
    /**
     * 是否展示 pageSize 切换器
     */
    showSizeChanger?: boolean;
    /**
     * 指定每页可以显示多少条
     */
    pageSizeOptions?: string[] | number[];
    /**
     * 数据总数
     */
    total?: number;
    /**
     * 接口返回的数据
     */
    dataSource?: any[];
    /**
     * 父级给子组件的page
     */
    formPage?: number;
    /**
     * 给父组件传值 page当前第几页  pageSize每页有多少
     */
    paginationEmit?: (page: number, pageSize: number) => void;
    /**
     * 默认是end(右);left(左);center(居中)
     */
    direction?: string;
    /**
     * 分页数量
     */
    pageSizes?: number;
}
declare const BitzPagination: FC<BitzPaginationProps>;
export default BitzPagination;
