import type * as React from 'react';
import type { BannerProps } from './Banner';
import Carousel from './Carousel';
import PageBanner from './PageBanner';
export type { BannerProps } from './Banner';
export type { CarouselProps } from './Carousel';
export type { PageBannerProps } from './PageBanner';
type CompoundedComponent = React.ForwardRefExoticComponent<BannerProps> & {
    Carousel: typeof Carousel;
    PageBanner: typeof PageBanner;
};
declare const BitzBanner: CompoundedComponent;
export default BitzBanner;
