import type { CSSProperties, FC } from 'react';
export interface BitzSearchProps {
    placeholder?: string;
    /**
     * 语义化结构 style
     */
    styles?: CSSProperties | undefined;
    /**
     * 语义化结构 class
     */
    classNames?: string;
    /**
     * 图标语义化结构 style
     */
    iconStyles?: CSSProperties | undefined;
    /**
     * 图标语义化结构 class
     */
    iconClassNames?: string;
    /**
     * 输入框内容变化时的回调
     */
    onChange?: (age?: string) => void;
    /**
     * 输入框内容
     */
    value?: string;
    /**
     * 输入框默认内容
     */
    defaultValue?: string;
    /**
     * 按下回车的回调
     */
    onPressEnter?: (age?: string) => void;
}
declare const BitzSearch: FC<BitzSearchProps>;
export default BitzSearch;
